﻿ ////////////////////////////////////////////////////////////////////////////////
//
//  THIS CODE IS NOT APPROVED FOR USE IN/ON ANY OTHER UI ELEMENT OR PRODUCT COMPONENT.
//  Copyright (c) 2006 Microsoft Corporation.  All rights reserved.
//
////////////////////////////////////////////////////////////////////////////////
 var L_PREVIOUS_text = "پێشوو";
 var L_NEXT_text = "دوواتر";
 var g_filter = 1;
 var g_todayView = true;
 var g_calendar_top_margin_unDocked = 20;
 var g_calendar_top_margin_docked = 20;
 var g_dayView_monthHdr = 5;
 var g_dayView_dayOfWeekHdr = 90;
 var g_calendar_date = new Date().toDateString();
 var g_initDate = new Date().toDateString();
 var g_defaultView = "";
 var g_defaultDOW = "";
 var gView = "month";
 var g_curl_img = null;
 var g_day_view = null;
 var g_DefaultLang = "en";
 var BIDI = "";
 var temp;

System.Gadget.settingsUI = "Settings.html";

////////////////////////////////////////////////////////////////////////////////
//
// Localize
//
////////////////////////////////////////////////////////////////////////////////
BIDI = document.getElementsByTagName("HTML")(0).dir;

if (BIDI == "rtl" || BIDI == "RTL")
{
    temp = L_PREVIOUS_text;
    
    L_PREVIOUS_text = L_NEXT_text;
    L_NEXT_text = temp;
    
    BIDI = "rtl";
}
else
{
    BIDI = "ltr";
}

btnPrevious.alt = L_PREVIOUS_text;
btnNext.alt = L_NEXT_text;

var loc=
{
    load:function(lang)
    {
        var nloc=xloc.documentElement.selectSingleNode("lang[@id='"+lang.toLowerCase()+"']"); 
        
        if (! nloc || nloc == null)
        {
            nloc=xloc.documentElement.selectSingleNode("lang[@id='"+g_DefaultLang+"']"); 
        }
        
        if(nloc)
        {
            this.day=
            {
                first:parseInt(as("day/@first")[0]),
                short:as("day/@short"),
                long :as("day/@long")
            };
            this.month=
            {
                short:as("month/@short"),
                long :as("month/@long")
            };
            function as(q)
            {
                var a=nloc.selectSingleNode(q);
                return a?a.text.split(" "):[];
            }
        }
    }
};

////////////////////////////////////////////////////////////////////////////////
//
// Initialize
//
////////////////////////////////////////////////////////////////////////////////
loc.load(navigator.userLanguage.substr(0,2));

try
{
    System.Gadget.onDock=Dock;
    System.Gadget.onUndock=unDock;
    window.onload = System.Gadget.docked?Dock:unDock;
    setCalendarAlarm(true);

}
catch(err)
{
    window.onload = function reDock()
    {
        document.body.offsetHeight<=263?Dock():unDock();
    }
    
    window.onresize = function()
    {
        clearTimeout(this.tmz);
        this.tmz=setTimeout(reDock,100);
    }
    
}
////////////////////////////////////////////////////////////////////////////////
//
// 
//
////////////////////////////////////////////////////////////////////////////////

function setCalendarAlarm(isFirstPass)
{
    var now = new Date();
    var delta = 0;
    var hours = 0;
    var minutes = 0;
    var seconds = 0;
    var MilliSecondsPerDay = (24 * 60 * 60 * 1000);
    
    hours = now.getHours();
    minutes = now.getMinutes();
    seconds = now.getSeconds();
    
    delta = MilliSecondsPerDay - (hours * 60 * 60 * 1000) - (minutes * 60 * 1000) - (seconds * 1000);
       
    g_calendar_date = now.toDateString();
    g_initDate = now.toDateString();
    
    if (! isFirstPass)
    {
        if ( System.Gadget.docked )
        {
            Dock();
        }
        else
        {
            unDock();
        }
    }
    setTimeout('setCalendarAlarm(false)',delta);  
}
////////////////////////////////////////////////////////////////////////////////
//
// 
//
////////////////////////////////////////////////////////////////////////////////
function swapBackgrounds()
{
    divPrevNext.style.visibility = "visible";
   
    with(document.body.style)
        backgroundImage="url(images/calendar_single.png)";             
}
////////////////////////////////////////////////////////////////////////////////
//
// Docked
//
////////////////////////////////////////////////////////////////////////////////
function Dock(){

    unDocked.style.display = "none"; 
    gView = "month";
    g_curl_img = curlDocked;
    g_day_view = DAY_DOCKED;

    divPrevNext.className = "prevnext";     
    
    if (DAY_UNDOCKED.d != "")
    {
        g_initDate = DAY_UNDOCKED.d;
    }    

    with(document.body.style)
        width=130,
        height=141,
        backgroundRepeat="no-repeat",
        backgroundImage = checkBackground();
        


    Calendar(YEAR_DOCKED).year.initYear(new Date(g_initDate));
    Calendar(MONTH_DOCKED).month.initMonth(new Date(g_initDate));
    Calendar(DAY_DOCKED).day.initDay(new Date(g_initDate));
    
    swap(MONTH_DOCKED);
    
    MONTH_DOCKED.style.visibility   = "hidden";
    DAY_DOCKED.style.visibility     = "visible";
    YEAR_DOCKED.style.visibility    = "hidden";
    divPrevNext.style.visibility    = "hidden";
    docked.style.display = "";
};
////////////////////////////////////////////////////////////////////////////////
//
//  UnDock
//
////////////////////////////////////////////////////////////////////////////////
function unDock()
{
    docked.style.display = "none";
    g_curl_img = curlUnDocked;
    g_day_view = DAY_UNDOCKED;
    gView = "month";
    tID.divType = "year";
    with(document.body.style)
       width=129,
       height=264, 
       backgroundImage = checkBackground(); 
    
    divPrevNext.className = "prevnext_unDocked";
    divPrevNext.style.visibility = "visible"; 
    Calendar(YEAR_UNDOCKED).year.initYear(new Date(g_initDate));
    Calendar(MONTH_UNDOCKED).month.initMonth(new Date(g_initDate));
    Calendar(DAY_UNDOCKED).day.initDay(new Date(g_initDate));
    MONTH_UNDOCKED.style.visibility   = "visible";
    YEAR_UNDOCKED.style.visibility    = "hidden";
    unDocked.style.display = "";  
};
////////////////////////////////////////////////////////////////////////////////
//
//
//
////////////////////////////////////////////////////////////////////////////////
function setInitDate(o)
{
    g_filter = 0;
    oDate = new Date(g_initDate);
    oDOW  = new Date(o.d);
    
    if (oDate.getMonth() != oDOW.getMonth() | oDate.getFullYear() != oDOW.getFullYear() | gView == "year" )
    {  
        g_initDate = oDOW.toDateString();
        swap(o);
    }
}
////////////////////////////////////////////////////////////////////////////////
//
//
//
////////////////////////////////////////////////////////////////////////////////
function checkBackground()
{
    var sRetVal = "";
    var initDate = new Date(g_initDate);
    var isToday = ( initDate.toDateString()== new Date().toDateString() );    

    if (System.Gadget.docked)
    {
            if ( isToday )
            {
                sRetVal = "url(images/calendar_single_orange.png)";
                divBgImageDocked.style.backgroundImage = "url(images/calendar_single_orange.png)";
                dockedCalendarRing.style.visibility = "hidden";   
                g_curl_img.style.visibility     = "hidden";
            }
            else
            {
                sRetVal = "url(images/calendar_single.png)";
                divBgImageDocked.style.backgroundImage = "url(images/calendar_single.png)";
                g_curl_img.style.visibility = "visible";
                dockedCalendarRing.style.visibility = "visible";     
            }           
    }
    else
    {
            if ( isToday )
            {
                sRetVal = "url(images/calendar_double_orange.png)";
                divBgImageUnDocked.style.backgroundImage = "url(images/calendar_single_bkg_orange.png)";
            }
            else
            {
                sRetVal = "url(images/calendar_double.png)";
                divBgImageUnDocked.style.backgroundImage = "url(images/calendar_single_bkg.png)";
                g_curl_img.style.visibility = "visible";   
            }           
    }
       
    return sRetVal; 
}

function dateText(d) {
  return  d.getDate() + " " +  loc.month.short[d.getMonth()] +"("+ (1+d.getMonth())+") " + d.getFullYear();
}

////////////////////////////////////////////////////////////////////////////////
//
// Calendar object 
//
////////////////////////////////////////////////////////////////////////////////
function Calendar(o)
{
////////////////////////////////////////////////////////////////////////////////
//
// Day view
//
////////////////////////////////////////////////////////////////////////////////
    o.day={
        d:new Date(),
        
        html:function(d)
        {
            if (System.Gadget.docked)
            {
                divPrevNext.style.visibility = "hidden";
            }

            this.d = new Date(d);
            
            g_day_view.d = d.toDateString();
            
            var isToday=d.toDateString() == new Date().toDateString();
            
            if (System.Gadget.docked)
            {
                g_initDate = d.toDateString();
            }

            if (isToday)
            {
                g_curl_img.style.visibility = "hidden";
            }
            else
            {
                g_curl_img.style.visibility = "visible";
                g_curl_img.d = ( new Date().toDateString() );
            }
           var hd = new GeorgianToHatavi(d);
           
           
           return "<table id='dowId' valign=center width='100%' cellpadding=0 cellspacing=0 dir='rtl'><tr><td align=center style='font-size:13px;font-family: Tahoma;"+
           (isToday?"color:white;":"color:black;")+"'>"+
           //loc.month.long[d.getMonth()].toUpperCase() +
           KurdiMonthNames[hd.month-1]+" "+hd.year+
           "</td></tr><tr><td align=center valign=top style='line-height:60px;font-size:60px;"+ 
           (isToday?"color:white;":"color:black;") +"'>"+hd.date+"</td></tr><tr><td align=center style='font:14px;font-family: Tahoma;"+
           (isToday?"color:white;":"color:black;")+"'><strong>"+KurdiDayNamesFull[hd.day]+"</strong></td></tr>"+
           "<tr><td align=center valign=top style='font-size:13px;" +
           (isToday?"color:black;":"color:gray;")+"' dir=ltr>"+
           dateText(d)+"</td></tr>"+
           "</table>";
        },

        initDay:function(d)
        {
            o.innerHTML = this.html(d);
        }

    };
    
////////////////////////////////////////////////////////////////////////////////
//
// Month view
//
////////////////////////////////////////////////////////////////////////////////
    o.month=
    {
        html:function(d)
        {
            if(d)this.d=new Date(d);else d=this.d;
            
            var hd = new GeorgianToHatavi(d);
            
            return "<span UNSELECTABLE='on'>"+
                    prevNext(KurdiMonthNames[hd.month-1]+ " "+hd.year.toString().substr(2),//loc.month.short[d.getMonth()]+" "+d.getFullYear().toString().substr(2),
                             monthGrid(d.getYear(), d.getMonth(), d.getDate() ) 
                             )+"</span>" ;
        },

        initMonth:function(d)
        {
             tID.omo = "";             
             o.innerHTML=this.html(d);
        }
    };
////////////////////////////////////////////////////////////////////////////////
//
// Year view
//
////////////////////////////////////////////////////////////////////////////////
    o.year=
    {
        html:function(d){
            if(d)this.d=new Date(d); else d=this.d;
            
            var hd = new GeorgianToHatavi(d);
            var htd = new GeorgianToHatavi(new Date());
            
            var s="<div UNSELECTABLE='on' style='margin:5 0 0 5'>",m=1,y,x;
            for(y=0; y<3; y++, s+="<br>")
                for(x=0; x<4; x++, m++)
                    s+="<var omo tabindex=1 divType='zoomMonth' onkeypress='swap(this);' onclick='swap(this)' m='"+m+"' "+
                    (m==htd.month && hd.year== htd.year ?"style='color: red'":"")+">"+
                    KurdiMonthNamesShort[m-1]+"</var>";
            s+="</div>";
            
            return "<span >"+
                   prevNext(hd.year,s)+
                   "</span>";
        },
        initYear:function(d){
          tID.removeAttribute("omo");
          tID.className = "";
          o.innerHTML = this.html(d);
        }
    };
////////////////////////////////////////////////////////////////////////////////
    function prevNext(tIDle,body)
    {
       tID.innerHTML = tIDle;

       return "<div UNSELECTABLE='on' class='divMonthView_docked' dir='rtl'>"+ body + "<br>"+
                "<div id='gDateVal' UNSELECTABLE='on' style='text-align:center' dir='ltr'></div></div>";
    };
//////////////////////////////////////////////////////////////////////////////////
//    function monthGrid(year,month){
//        
//        var dow = new Date().getDay();
//        var d=new Date(year,month,1-new Date(year,month,1).getDay()+loc.day.first);
//        
//        if(d.getMonth()==month && d.getDate()>1)
//            d.setDate(d.getDate()-7);
//        var s="",today=new Date().toDateString();

//        for(var y=0; y<7 && (d.getMonth()<=month || d.getYear()<year); y++){
//            for(var x=0; x<7; x++){
//                s+="<q divType='dow' class='day"+(x?" lb":"") ;
//                if(y){
//                    if(d.getMonth()!=month)
//                        s+=" dim'";
//                    else if(d.toDateString()==today)
//                        s+=" today' tabindex=1";
//                    else
//                        s+="' omo tabindex=1";
//                    s+=" d='"+d.toDateString()+"' onkeypress='swap(this);' onclick='swap(this);' >"+d.getDate()+"</q>";
//                    d.setDate(d.getDate()+1);
//                }else
//                    s+=(dow != x ? " name ": ckCurrentMonth(year,month) ) +"'>"+loc.day.short[(x+loc.day.first)%7].substr(0,1)+"</q>";
//            }
//            s+="<br>";
//        }
//        return s;
//    };



    function monthGrid(year, month, date){
    
        // find day of the week of today!
        var dow = new Date().getDay();
        if (dow==6) dow=0;
        else dow++;
    
        var dts = new Date(year, month, date);
        var dtsh = new GeorgianToHatavi(dts);
        var fd = new HataviToGeorgian(dtsh.year, dtsh.month, 1);
        
        fd_dowh = fd.getDay();
        if (fd_dowh==6) fd_dowh=0;
        else fd_dowh++;

        fd.setDate(fd.getDate()-fd_dowh);
        
        counter = -fd_dowh+1;
        maxCounter = DaysInMonth(dtsh.year, dtsh.month);
        if (dtsh.month>1)
            maxLastMonth = DaysInMonth(dtsh.year, dtsh.month-1);
        else
            maxLastMonth = DaysInMonth(dtsh.year-1, 12);
        
        
        var d = new Date(fd);
                
        var s="",today=new Date().toDateString();

        for(var y=0; y<6; y++){
            for(var x=0; x<7; x++){
                s+="<q divType='dow' class='day"+(x?" lb":"") ;
                if(y){
                    counterName = counter;
                    if(counter<=0) { 
                        s+=" dim'";
                        counterName = maxLastMonth+counter;
                    }
                    else if (counter>maxCounter){
                        s+=" dim'";
                        counterName = counter - maxCounter;
                    }
                    else if(d.toDateString()==today)
                        s+=" today' tabindex=1";
                    else
                        s+="' omo tabindex=1";
                        
                    
                    s+=" d='"+d.toDateString()+"' onkeypress='swap(this);' onclick='swap(this);' onmouseover='showhint(this,1);' onmouseleave='showhint(this,0);' >"+counterName+"</q>";
                    
                    d.setDate(d.getDate()+1);
                    counter ++;
                }else
                    s+=(dow != x ? " name ": ckCurrentMonth(year,month) ) +"'>"+loc.day.short[(x+loc.day.first)%7].substr(0,1)+"</q>";
            }
            //s+="<br>";
        }
        return s; //+ "-" +dtsh.month + "="+ fd.toDateString() + " " + fd_dowh;
    };
////////////////////////////////////////////////////////////////////////////    
    function ckCurrentMonth(year,month)
    { 
        var oDate = new Date(g_calendar_date);
        var sRetVal = " name";
        
        if (year == oDate.getFullYear() && month == oDate.getMonth() )
        {
            sRetVal = " dow";
        }
        return sRetVal;
    }
////////////////////////////////////////////////////////////////////////////////
    function dayPos(d){
        var x=(d.getDay()-loc.day.first)%7,
            y=parseInt((d.getDate()+6+loc.day.first-d.getDay())/7);
        if(x<0)x+=7,y--;
        return {x:2+x*17,y:39+y*13}
    };
////////////////////////////////////////////////////////////////////////////////
    function monthPos(d){
        var x=d.getMonth()%4,
            y=parseInt(d.getMonth()/4);
        return {x:7+x*28,y:27+y*28}
    };

    o.tabIndex=1;
    return o;
}
////////////////////////////////////////////////////////////////////////////////
//
//
//
////////////////////////////////////////////////////////////////////////////////
function evalPrevNext(direction,o)
{
    var oDate = new Date(g_initDate);

    if (BIDI == "rtl")
    {
        direction *= -1;
    }
      
    
    switch (gView)
    {
        case "month":
                o.divType = "changeMonth";
                oDate.setMonth(oDate.getMonth()+ direction);
                
                break;
        case "year":
                o.divType = "changeYear";
                oDate.setFullYear(oDate.getFullYear()+ direction);
                break;                
    }
   
    g_initDate = oDate.toDateString();
    
    if (event.button == 2)
    {
        if (direction == -1)
        {
            o.src = 'images/bprev.png';
        }
        else
        {
            o.src = 'images/bnext-hot.png';
        }
    }
    swap(o);
}
////////////////////////////////////////////////////////////////////////////////
//
//
//
////////////////////////////////////////////////////////////////////////////////
function swap(o)
{
    if (event)
    {
        if (event.button == 2)
        {
            return;
        }
    }
    
    if (System.Gadget.docked)
    {
        renderDocked(o);
    }
    else
    {
        renderUnDocked(o);
    }
    g_filter = 1;
}
////////////////////////////////////////////////////////////////////////////////
//
//
//
////////////////////////////////////////////////////////////////////////////////
function renderUnDocked(o)
{
    var sType = o.divType;
    var today = null;
    var isToday = null;
    var oDate = null;

    switch (sType)
    {
        case "dow": 
        
                gView = "month";
                if (! System.Gadget.docked)
                {
                    g_filter = 1;
                }
                divFilterBottomUndocked.filters[g_filter].enabled = true;
                divFilterBottomUndocked.filters[g_filter].Apply(); 
                DAY_UNDOCKED.day.initDay(new Date(o.d));
                today=new Date(o.d);
                isToday=today.toDateString()==new Date().toDateString();  
                if (isToday)
                {                                
                    divBgImageUnDocked.style.backgroundImage = "url(images/calendar_single_bkg_orange.png)";
                    g_todayView = true;
                    setTimeout("showBackground(0);",300);
                }
                else
                {
                    divBgImageUnDocked.style.backgroundImage = "url(images/calendar_single_bkg.png)";
                    g_todayView = false;
                    setTimeout("showBackground(1);",300);
                }
                divFilterBottomUndocked.filters[g_filter].Play(); 
                break;
                    
        case "year":
                gView = "year";
                divFilterTopUndocked.filters[g_filter].enabled = true;
                divFilterTopUndocked.filters[g_filter].Apply();
                YEAR_UNDOCKED.year.initYear(new Date(g_initDate));
                YEAR_UNDOCKED.style.visibility = "visible";
                MONTH_UNDOCKED.style.visibility = "hidden";
                divFilterTopUndocked.filters[g_filter].Play();
                tID.divType="reset"; 
                break;
                
        case "zoomMonth":
                var gd = new Date(g_initDate);
                var hd = new GeorgianToHatavi(gd);
                oDate = new HataviToGeorgian(hd.year, o.m, hd.date);
                
                g_initDate = oDate.toDateString();
                o.divType = 'day';
                swap(o);
                break;

        case "changeMonth": 
                o.divType = 'day';
                g_filter = 0;
                swap(o);
                break;
                
        case "changeYear": 
                o.divType = 'year';
                g_filter = 0;
                swap(o);
                break;   
                
        case "day":
                gView = "month";
                MONTH_UNDOCKED.month.initMonth(new Date(g_initDate));
                divFilterTopUndocked.filters[g_filter].enabled = true;               
                divFilterTopUndocked.filters[g_filter].Apply();
                YEAR_UNDOCKED.style.visibility = "hidden";
                MONTH_UNDOCKED.style.visibility = "visible";
                divFilterTopUndocked.filters[g_filter].Play();
                showControls(true);
                tID.divType="year";
                break;
    }
}
////////////////////////////////////////////////////////////////////////////////
//
//
//
////////////////////////////////////////////////////////////////////////////////
function renderDocked(o)
{
    var sType = o.divType;
    var today = null;
    var isToday = null;
    var oDate = null;

   switch (sType)
    {
        case "changeMonth": 
                o.divType = 'day';
                g_filter = 1;
                swap(o);
                break;
                
        case "changeYear": 
                o.divType = 'year';
                g_filter = 1;
                swap(o);
                break;
                
        case "zoomMonth":
                var gd = new Date(g_initDate);
                var hd = new GeorgianToHatavi(gd);
                
                oDate = new HataviToGeorgian(hd.year, o.m, hd.date);
                
               // document.write(hd.year + " " + o.m + " " + hd.date + "<br>" + oDate.toDateString() );
                g_initDate = oDate.toDateString();
                o.divType = 'day';
                g_filter = 0;
                swap(o);
                break;
                
        case "resetMonth":
                g_initDate = new Date().toDateString();
                o.divType = 'day';
                swap(o);
                break;

        case "dow":
                gView = "dow";
                divFilterDocked.filters[g_filter].enabled = true;
                divFilterDocked.filters[g_filter].Apply(); 
                Calendar(DAY_DOCKED).day.initDay(new Date(o.d));
                DAY_DOCKED.style.visibility = "visible";
                MONTH_DOCKED.style.visibility = "hidden";   
                today=new Date(o.d);
                isToday=today.toDateString()==new Date().toDateString();  
                if (isToday)
                {                                
                    divBgImageDocked.style.backgroundImage = "url(images/calendar_single_orange.png)";
                    g_todayView = true;
                    setTimeout("showBackground(0);",300);
                }
                else
                {
                    divBgImageDocked.style.backgroundImage = "url(images/calendar_single.png)";
                    g_todayView = false;
                    setTimeout("showBackground(1);",300);
                }
                divFilterDocked.filters[g_filter].Play();
                showControls(false); 
                break;
                
        case "day":
                g_curl_img.style.visibility = "hidden";
                gView = "month";
                MONTH_DOCKED.month.initMonth(new Date(g_initDate));
                divFilterDocked.filters[g_filter].enabled = true;             
                divFilterDocked.filters[g_filter].Apply();
                YEAR_DOCKED.style.visibility = "hidden";
                DAY_DOCKED.style.visibility = "hidden";
                MONTH_DOCKED.style.visibility = "visible";
                divBgImageDocked.style.backgroundImage = "url(images/calendar_single.png)";
                divFilterDocked.filters[g_filter].Play();
                showControls(true);
                showBackground(1);
                tID.divType="year";
                break;

        case "year":
                gView = "year";
                
                g_curl_img.style.visibility = "hidden";
                divFilterDocked.filters[0].enabled = true;
                divFilterDocked.filters[0].Apply();
                YEAR_DOCKED.year.initYear(new Date(g_initDate));
                YEAR_DOCKED.style.visibility = "visible";
                MONTH_DOCKED.style.visibility = "hidden";
                divBgImageDocked.style.backgroundImage = "url(images/calendar_single.png)";
                divFilterDocked.filters[0].Play(); 
                showBackground(1); 
                showControls(true);
                tID.divType="reset";  
                break;                
    }
}
////////////////////////////////////////////////////////////////////////////////
//
//
//
////////////////////////////////////////////////////////////////////////////////
function showBackground(skin)
{
    var bgFile =  "url(images/calendar_single.png)";
    
    switch (skin)
    {
        case 0 :
            if (System.Gadget.docked)
            {
                bgFile = "url(images/calendar_single_orange.png)";
            }
            else
            {
                bgFile = "url(images/calendar_double_orange.png)";
            }
            break;
            
        case 1 :
            if (System.Gadget.docked)
            {
                bgFile = "url(images/calendar_single.png)";
            }
            else
            {
                bgFile = "url(images/calendar_double.png)";
            }        
            break;     
    }
    
    document.body.style.backgroundImage = bgFile;
}
////////////////////////////////////////////////////////////////////////////////
//
//
//
////////////////////////////////////////////////////////////////////////////////
function showControls(show)
{
    var showHide = "hidden";
    
    if (show)
    {
        showHide = "visible";
    }
    
    dockedCalendarRing.style.visibility = showHide;
    divPrevNext.style.visibility = showHide;
}
////////////////////////////////////////////////////////////////////////////////
//
//
//
////////////////////////////////////////////////////////////////////////////////
document.onmouseover=document.onmouseout=function(){
    var e=event.srcElement;
    if(e.omo!=null)
        e.className=event.type=="mouseout"?e.className.replace(/ hot/,""):e.className+" hot";
}
////////////////////////////////////////////////////////////////////////////////
//
//
//
////////////////////////////////////////////////////////////////////////////////
function showhint(o, s) {
    var sType = o.divType;
    var today = null;
    var isToday = null;
    var oDate = null;
    var gDateVal = document.getElementById("gDateVal");
    if(gDateVal && sType == "dow") {
        if (s==1) {
                today=new Date(o.d);
                gDateVal.innerHTML = dateText(today);
        }
        else 
            gDateVal.innerHTML = "";
    }
}